#
# spec file for package xlpq (Version 1.0.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp libjpeg lprold xf86 xforms xformsd
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg libtool libz lprold m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xforms xformsd xshared

Name:         xlpq
%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
Copyright:    GPL
Group:        Utilities/Printing
Requires:     xforms
Autoreqprov:  on
Summary:      Frontend to manage printer queues
Version:      1.0.2
Release:      429
Source:     ftp://sunsite.unc.edu/pub/Linux/system/printing/xlpq-1.0.2.tgz
Patch:      xlpq-1.0.2.dif
BuildRoot:  /var/tmp/xlpq

%description
xforms based frontend to manage printer queues.
It invokes lpq, lprm and lpc.  It shows what is currently in the printer
queue, lets you select different queues and lets you delete printjobs.
You may even disable queueing and printing if you are root.

Authors:
--------
    Dimitrios P. Bouras <dbouras@hol.gr>

SuSE series: xap

%prep
%setup
%patch
./configure --prefix=$RPM_BUILD_ROOT/usr/X11R6
# xmkmf -a

%build
make "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/X11R6/bin
make install
# make install.man
export RPM_BUILD_ROOT

%clean
rm -fr $RPM_BUILD_ROOT

%files
%doc COPYING README xlpq_v1.0.2.lsm
/usr/X11R6/bin/xlpq

%changelog -n xlpq
* Tue Apr 10 2001 - ro@suse.de
- fixed group entry
* Mon Sep 25 2000 - ro@suse.de
- added libjpeg to neededforbuild
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Wed Feb 24 1999 - ro@suse.de
- added xformsd to neededforbuild
* Sat Sep 26 1998 - ro@suse.de
- link against libg++ THIS SHOULD NOT BE NEEDED
* Mon Jun 29 1998 - ke@suse.de
- initial version
